View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0011857ParaViewBugpublic2011-02-14 18:012016-08-12 09:58
ReporterOrion Poplawski 
Assigned ToDavid Partyka 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionmoved 
PlatformOSOS Version
Product VersionDevelopment 
Target VersionFixed in Version 
Summary0011857: QtTestingConfig.cmake probably should not be installed
DescriptionWorking on paraview 3.10.0 package for fedora. The following file gets installed:

/usr/lib/cmake/QtTestingConfig.cmake:
set(QtTesting_INCLUDE_DIRS "/builddir/build/BUILD/ParaView-3.10.0-RC1/Qt/Testing;/builddir/build/BUILD/ParaView-3.10.0-RC1/fedora/Qt/Testing")
set(QtTesting_LIBRARY_DIR "lib64/paraview")

This file is obviously of no use in the installed rpm. Can't see why it should be installed for any builds. Unless the directories mentioned in the file should be different (installed dirs?)
TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0025465)
David Partyka (developer)
2011-02-17 16:31

I now guard that particular install rule with a new QT_TESTING_INSTALL_DEVELOPMENT option. This option gets set to ON when PARAVIEW_INSTALL_DEVELOPMENT gets turned on. Also the file will now be installed in ${PV_INSTALL_CMAKE_DIR} (default being lib/paraview-<blah>/CMake) instead of just lib/cmake.
(0025512)
Alan Scott (manager)
2011-02-18 20:27

Not tested by closer.
(0032097)
Orion Poplawski (reporter)
2013-12-30 22:34

This isn't working for us (Fedora) as of ParaView 4.1.0-RC2. We want to install paraview development files so users can develop against paraview using our paravew-devel package, so we need to set PARAVIEW_INSTALL_DEVELOPMENT_FILES=ON.

However, these files are getting installed in:

/usr/lib/CMake/QtTestingConfig.cmake

which in our case should probably be /usr/lib{,64}/paraview/cmake/. I may be able to tweak this, but if probably should be based on VTK_INSTALL_LIBRARY_DIR

Perhaps simply using a system qttesting (if possible) would be better though.
(0037924)
Kitware Robot (administrator)
2016-08-12 09:58

Resolving issue as `moved`.

This issue tracker is no longer used. Further discussion of this issue may take place in the current ParaView Issues page linked in the banner at the top of this page.

- Issue History
Date Modified Username Field Change
2011-02-14 18:01 Orion Poplawski New Issue
2011-02-17 15:24 David Partyka Assigned To => David Partyka
2011-02-17 15:24 David Partyka Status backlog => tabled
2011-02-17 16:31 David Partyka Note Added: 0025465
2011-02-17 16:31 David Partyka Status tabled => @80@
2011-02-17 16:31 David Partyka Fixed in Version => 3.10
2011-02-17 16:31 David Partyka Resolution open => fixed
2011-02-18 20:27 Alan Scott Note Added: 0025512
2011-02-18 20:27 Alan Scott Status @80@ => closed
2013-12-30 22:34 Orion Poplawski Note Added: 0032097
2013-12-30 22:34 Orion Poplawski Status closed => backlog
2013-12-30 22:34 Orion Poplawski Resolution fixed => reopened
2016-08-12 09:58 Kitware Robot Note Added: 0037924
2016-08-12 09:58 Kitware Robot Status backlog => closed
2016-08-12 09:58 Kitware Robot Fixed in Version 3.10 =>
2016-08-12 09:58 Kitware Robot Resolution reopened => moved


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker